summarylogtreecommitdiffstats
path: root/pump.io
diff options
context:
space:
mode:
Diffstat (limited to 'pump.io')
-rw-r--r--pump.io25
1 files changed, 25 insertions, 0 deletions
diff --git a/pump.io b/pump.io
new file mode 100644
index 000000000000..81fd9abaed8d
--- /dev/null
+++ b/pump.io
@@ -0,0 +1,25 @@
+#!/bin/bash
+
+WorkingDirectory=/usr/share/webapps/pump.io
+cd $WorkingDirectory
+# depending on parameter -- startup, shutdown, restart
+# of the instance and listener or usage display
+
+case "$1" in
+ start)
+ # Oracle listener and instance startup
+ node ./bin/pump -c /etc/webapps/pump.io/pump.io.json start &
+ ;;
+ stop)
+ # Oracle listener and instance shutdown
+ node ./bin/pump -c /etc/webapps/pump.io/pump.io.json stop
+ ;;
+ restart)
+ $0 stop
+ $0 start
+ ;;
+ *)
+ echo "Usage: $0 start|stop|restart"
+ exit 1
+esac
+exit 0 \ No newline at end of file